Subject: bug#43153: closed (Re: bug#43153: Add new command project-find-dir (and move binding of project-dired))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Sep 2021 00:58:01 +0000

Your bug report

#43153: Add new command project-find-dir (and move binding of project-dired)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43153: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43153
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43153: Add new command project-find-dir (and move binding of project-dired)
From: Dmitry Gutov <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked], Juri Linkov <[email-masked]>
Date: Tue, 21 Sep 2021 03:57:27 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.1

On 20.09.2021 18:29, Stefan Kangas wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>>> I don't see one way as fundamentally better than the other, so IMHO it's
>>> better to just have the same UI as projectile.
>>
>> OK, that makes sense. Easier transition, etc.
> 
> Yup, that's my thinking too.

Now installed with commit df1d4f5894.

> (In my use, project does everything I need so while projectile is
> still installed it goes largely unused these days.)

Good to hear ;-)

But as far as missing pieces go, I think people are still asking for 
https://debbugs.gnu.org/41572, in some shape or form.

Emacs 28 probably should have a solution for it.

Subject: Add new command project-find-dir (and move binding of project-dired)
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Tue, 1 Sep 2020 03:48:55 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

Please consider adding a new command `project-find-dir' that works like
`project-find-file' but for directories.

I would also suggest to move `project-dired to `C-c p D' and put the new
`project-find-dir' command on `C-c p d'.  These key bindings would be in
line with the third-party projectile package.

Thanks in advance.